# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapIteratorOfDataMapOfShapePD Class Reference

`#include <STEPCAFControl_DataMapIteratorOfDataMapOfShapePD.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPCAFControl_DataMapIteratorOfDataMapOfShapePD ()
Standard_EXPORT | STEPCAFControl_DataMapIteratorOfDataMapOfShapePD (const STEPCAFControl_DataMapOfShapePD &aMap)
Standard_EXPORT void | Initialize (const STEPCAFControl_DataMapOfShapePD &aMap)
Standard_EXPORT const TopoDS_Shape & | Key () const
Standard_EXPORT const Handle_StepBasic_ProductDefinition & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_DataMapIteratorOfDataMapOfShapePD::STEPCAFControl_DataMapIteratorOfDataMapOfShapePD | ( |  | ) |

Standard_EXPORT STEPCAFControl_DataMapIteratorOfDataMapOfShapePD::STEPCAFControl_DataMapIteratorOfDataMapOfShapePD | ( | const STEPCAFControl_DataMapOfShapePD & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void STEPCAFControl_DataMapIteratorOfDataMapOfShapePD::Initialize | ( | const STEPCAFControl_DataMapOfShapePD & | aMap | ) |

Standard_EXPORT const TopoDS_Shape& STEPCAFControl_DataMapIteratorOfDataMapOfShapePD::Key | ( |  | ) | const

void STEPCAFControl_DataMapIteratorOfDataMapOfShapePD::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPCAFControl_DataMapIteratorOfDataMapOfShapePD::operator new | ( | size_t | size | ) | `[inline]`

void* STEPCAFControl_DataMapIteratorOfDataMapOfShapePD::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_StepBasic_ProductDefinition& STEPCAFControl_DataMapIteratorOfDataMapOfShapePD::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapIteratorOfDataMapOfShapePD.hxx